<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides the base for Alarm Panel models
 *
 * @package    HAM
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class Panel {
	protected $events = array();

	public function __construct(array $events) {
		$this->events = $events;
	}

	abstract public function trigger();
}
?>
